%global pkg_name regex-tdfa

%global common_summary Haskell regular expression library

%global common_description A new all Haskell "tagged" DFA regex engine,inspired by libtre

%global ghc_pkg_deps ghc-regex-base-devel,ghc-parsec-devel,ghc-mtl-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.1.4
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install


%clean
rm -rf $RPM_BUILD_ROOT


%{?ghc_lib_package}


%changelog
* Sat Sep 18 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.4-1
- using ghc-rpm-macros 0.8.1 
- package updated to 1.1.4

* Sat Jul  3 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.3-1
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
- Updated to use ghc_lib_package, ghc_lib_build, ghc_lib_install macros instead of cabal macros

* Tue May 25 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
